Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.util
[Java] Class SimpleCompletor

    java.lang.Object
      jline.SimpleCompletor
          org.codehaus.groovy.tools.shell.util.SimpleCompletor

    public class SimpleCompletor
    extends jline.SimpleCompletor

Support for simple completors.

Authors:
  Jason Dillon

Version:
  \$Id: SimpleCompletor.java 7673 2007-08-24 09:39:38Z user57 \$

Constructor Summary
`SimpleCompletor(String[] candidates)`
`SimpleCompletor()`
`SimpleCompletor(Closure loader)`

Method Summary
`void` | `add(String candidate)`
`int` | `complete(String buffer, int cursor, List clist)`
`Object` | `leftShift(String s)`

Methods inherited from class jline.SimpleCompletor
jline.SimpleCompletor#clone(), jline.SimpleCompletor#complete(java.lang.String, int, java.util.List), jline.SimpleCompletor#setDelimiter(java.lang.String), jline.SimpleCompletor#getDelimiter(), jline.SimpleCompletor#setCandidates(java.util.SortedSet), jline.SimpleCompletor#getCandidates(), jline.SimpleCompletor#setCandidateStrings([Ljava.lang.String;), jline.SimpleCompletor#addCandidateString(java.lang.String), jline.SimpleCompletor#wait(long), jline.SimpleCompletor#wait(long, int), jline.SimpleCompletor#wait(), jline.SimpleCompletor#equals(java.lang.Object), jline.SimpleCompletor#toString(), jline.SimpleCompletor#hashCode(), jline.SimpleCompletor#getClass(), jline.SimpleCompletor#notify(), jline.SimpleCompletor#notifyAll()

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleCompletor

    public SimpleCompletor(String[] candidates)

### SimpleCompletor

    public SimpleCompletor()

### SimpleCompletor

    public SimpleCompletor(Closure loader)

Method Detail

### add

    public void add(String candidate)

### complete

    public int complete(String buffer, int cursor, List clist)

### leftShift

    public Object leftShift(String s)

Copyright © 2003-2010 The Codehaus. All rights reserved.